/*
 *  @author Ranides Atterwim <ranides@gmail.com>
 *  @copyright Ranides Atterwim
 *  @license WTFPL
 *  @url http://ranides.net/projects/assira
 */

package net.ranides.assira.trace;

import org.apache.log4j.Level;
import org.apache.log4j.Logger;

/**
 *
 * @author ranides
 */
public class LoggerState {

    private Level level;
    private boolean additivity;

    public LoggerState(Logger logger) {
        this.level = logger.getLevel();
        this.additivity = logger.getAdditivity();
    }

    public LoggerState(String loggername) {
        this(LoggerUtils.getLogger(loggername));
    }

    public Level getLevel() {
        return level;
    }

    public boolean getAdditivity() {
        return additivity;
    }
};
